# PC端在线支付接入规范文档4.3.1
[上海偶可贝网络科技有限公司](https://www.allpayx.com)

* 版本信息：中文 V4.3.1
* 更新时间：2018 年11 月

#### 1.概述

AllPay 为客户提供统一的api接入，以帮助客户实现快速、安全、集中式的接入支付渠道。
#### 2.交易流程 
![image](https://git.allpayx.com/OpenAPI/b2c/raw/master/images/pc_flowsheet.png)

#### 
 

#### 3. 验签说明 
```
1.对于发送到 ALLPAY 系统的 POST 请求报文，其中所有传入参数(除 signature 参数外)按照字段名的 ASCII 码从小到大排序后(字典序)，使用 URL 键值对的格式(即 key1=value1&key2=value2...)拼接成字符串 String1。

2.在 String1 最后直接拼接(不需要用“&”连接)双方约定的签名密钥 K1(接入时 ALLPAY 时分配)，得到 stringSignTemp 字符串,并对 stringSignTemp 进行 md5 运算，得到 signature 的值。

3.示例签名串 acqID=99020344&backURL=https://www.baidu.com&charSet=UTF-8&frontURL=nil&goodsInfo=iPhone x&merID=800039253992510&merReserve=&orderAmount=1.00&orderCurrency=INR&orderNum=ap0180417163142&paymentSchema=EB&signType=MD5&transTime=20180417163142&transType=PURC&trxn_email_id=benson.zhang@allpayx.com&trxn_firstname=benson zhang&trxn_is_coupon_enabled=1&trxn_phone=15026528888&unique_id=abcde12345&version=VER000000002f3e0e436cd24430aa4aaaed597450f26 
```


#### 4.通用API说明 

商户服务器和 AllPay 网关对接的通用接口，每个渠道都具有的功能，包括：消费，查询，退款，退款查询接口。

##### 4.1. 通用API 接入地址 

| 接口名称     | 测试地址                                  | 生产地址                              |
| ------------ | ----------------------------------------- | ------------------------------------- |
| 消费接口     | <https://testapi.allpayx.com/pay>           | <https://api.allpayx.com/pay>         |
| 交易查询接口 | <https://testapi.allpayx.com/pay>         | <https://api.allpayx.com/pay>         |
| 退款接口     | <https://testapi.allpayx.com/refund>      | <https://api.allpayx.com/refund>      |
| 退款查询接口 | <https://testapi.allpayx.com/refundquery> | <https://api.allpayx.com/refundquery> |

#####                             

##### 4.2. 消费交易接口

1.请求报文格式


下面列举的字段为通用字段，每个渠道都需要上送，部分渠道有渠道专属字段，具体字段请到该渠道的专属渠道字段说明处查看。消费接口分为跳转型和参数返回型，默认为跳转型，参数返回型会在第5章（渠道专属配置）里面说明。



| 参数          | 类型         | 属性 | 描述                                                         |
| ------------- | ------------ | ---- | ------------------------------------------------------------ |
| version       | String(12)   | M    | 统一填写为“VER000000002”                                     |
| charSet       | String(6)    | M    | 统一填写为“UTF-8”                                            |
| transType     | String(4)    | M    | 消费交易填写“PURC”                                           |
| orderNum      | String(60)   | M    | 订单号：商户自行定义，需保证同一商户号下订单号不能重复       |
| orderAmount   | String(12)   | M    | 订单金额：如 100 元，表示为 100 或 100.00                    |
| orderCurrency | String(3)    | M    | 订单币种：ISO标准 如：人民币填写“CNY”,美元填写"USD"          |
| frontURL      | String(400)  | M    | 支付完成后跳转到该地址                                       |
| backURL       | String(400)  | M    | 支付结果异步通知到该地址                                     |
| merReserve    | String(1024) | M    | 商户预留内容，可传任意内容，如购买商品信息、员号等，但不要传特殊符号，如逗号。 |
| merID         | String(15)   | M    | 商户 ID，由AllPay 分配                                       |
| acqID         | String(11)   | M    | 收单行 ID "99020344"                                         |
| paymentSchema | String(10)   | M    | 渠道代码：[点击查看详情](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md) |
| goodsInfo     | String(60)   | M    | 商品信息,在支付页面上显示                                    |
| detailInfo    | String(400)  | M    | 商品明细格式：[{"goods_name":"iPhone X","quantity":"2"},{"goods_name":"iPhone 8","quantity":"4"}]，需对该字段进行base-64编码后签名上送。 |
| transTime     | String(14)   | M    | 交易时间,格式:"yyyyMMddHHmmss"                               |
| signType      | String(3)    | M    | MD5                                                          |
| signature     | String(32)   | M    | 采用 MD5 签名                                                |

2.跳转型消费接口响应报文

	商户需要提供一个 http/https 协议的接口，包含在参数里传递给 SDK，即 backURL。AllPay 
服务器在支付完成后，会以 Get 方式调用 backURL，通知支付结果。 

参数如下表: 

| 参数          | 类型         | 属性 | 描述                                                         |
| ------------- | ------------ | ---- | ------------------------------------------------------------ |
| version       | String(12)   | M    | 统一填写为“VER000000002”                                     |
| charSet       | String(6)    | M    | 统一填写为“UTF-8”                                            |
| transType     | String(4)    | M    | 消费交易填写“PURC”                                           |
| orderNum      | String(60)   | M    | 订单号                                                       |
| orderAmount   | String(12)   | M    | 订单金额：如 100 元，表示为 100 或 100.00                    |
| orderCurrency | String(3)    | M    | 订单币种：ISO标准 如：人民币填写“CNY”,美元填写"USD"          |
| settAmount    | String(12)   | M    | 清算金额：如 100 元，表示为 100 或 100.00                    |
| settCurrency  | String(3)    | M    | 清算币种：符合 ISO 标准                                      |
| rate          | String(7)    | M    | 实际汇率，7 位有效数字                                       |
| merReserve    | String(1024) | M    | 商户预留内容，可传任意内容，如购买商品信息、员号等，但不要传特殊符号，如逗号。 |
| transID       | String(32)   | M    | GW 系统生成的交易 ID，每笔交易保持唯一                       |
| merID         | String(15)   | M    | 商户 ID，由AllPay 分配                                       |
| acqID         | String(11)   | M    | 收单行 ID "99020344"                                         |
| paymentSchema | String(10)   | M    | 渠道代码：[点击这里](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md) |
| RespCode      | String(2)    | M    | 应答码 00-成功                                               |
| RespMsg       | String(20)   | M    | 应答消息，全部为英文字符                                     |
| transTime     | String(14)   | M    | 交易时间,格式:"yyyyMMddHHmmss"                               |
| GWTime        | String(14)   | M    | YYYYMMDDHHMMSS，为 GW 时间，目前为本地交易时间               |
| signType      | String(3)    | M    | MD5                                                          |
| signature     | String(32)   | M    | signature                                                    |



##### 4.3. 查询交易接口 

1.接口说明

 该接口为接入商家提供交易查询的功能。

2.请求报文格式 

  

| 参数          | 类型         | 属性 | 描述                                                         |
| ------------- | ------------ | ---- | ------------------------------------------------------------ |
| version       | String(12)   | M    | 统一填写为“VER000000002”                                     |
| charSet       | String(6)    | M    | 统一填写为“UTF-8”                                            |
| transType     | String(4)    | M    | 查询填写“INQY”                                               |
| orderNum      | String(60)   | M    | 订单号                                                       |
| merReserve    | String(1024) | M    | 商户预留内容，可传任意内容，如购买商品信息、员号等，但不要传特殊符号，如逗号。 |
| merID         | String(15)   | M    | 商户 ID，由AllPay 分配                                       |
| acqID         | String(11)   | M    | 收单行 ID "99020344"                                         |
| paymentSchema | String(10)   | M    | 渠道代码：[点击这里](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md) |
| transTime     | String(14)   | M    | 交易时间,格式:"yyyyMMddHHmmss"                               |
| signType      | String(3)    | M    | MD5                                                          |
| signature     | String(32)   | M    | 采用 MD5 签名                                                |



3.响应报文格式

| 参数          | 类型       | 属性 | 描述                                                         |
| ------------- | ---------- | ---- | ------------------------------------------------------------ |
| version       | String(12) | M    | 统一填写为“VER000000002”                                     |
| charSet       | String(6)  | M    | 统一填写为“UTF-8”                                            |
| transType     | String(4)  | M    | 查询填写“INQY”                                               |
| orderNum      | String(60) | M    | 订单号                                                       |
| transID       | String(32) | M    | GW 系统生成的交易 ID，每笔交易保持唯一                       |
| merID         | String(15) | M    | 商户 ID，由AllPay 分配                                       |
| acqID         | String(11) | M    | 收单行 ID "99020344"                                         |
| paymentSchema | String(10) | M    | 渠道代码：[点击这里](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md) |
| RespCode      | String(2)  | M    | 应答码 00-成功                                               |
| RespMsg       | String(20) | M    | 应答消息，全部为英文字符                                     |
| transTime     | String(14) | M    | 交易时间,格式:"yyyyMMddHHmmss"                               |
| GWTime        | String(14) | M    | YYYYMMDDHHMMSS，为 GW 时间，目前为本地交易时间               |
| signType      | String(3)  | M    | MD5                                                          |
| signature     | String(32) | M    | signature                                                    |



##### 4.4 退款交易接口

1.接口说明 

该接口为接入商家提供交易退款的功能。 

2.请求报文格式 



| 参数          | 类型         | 属性 | 描述                                                         |
| ------------- | ------------ | ---- | ------------------------------------------------------------ |
| version       | String(12)   | M    | 统一填写为“VER000000002”                                     |
| charSet       | String(6)    | M    | 统一填写为“UTF-8”                                            |
| transType     | String(4)    | M    | 退款填写“REFD”                                               |
| orderNum      | String(60)   | M    | 原交易订单号                                                 |
| refundNum     | String(60)   | M    | 退款订单号:商户自行定义，需保证同一商户号下退款订单号不能重复 |
| returnAmount  | String(12)   | M    | 退款金额：如 100 元，表示为 100 或 100.00                    |
| orderCurrency | String(3)    | M    | 订单币种：ISO标准 如：人民币填写“CNY”,美元填写"USD"          |
| merReserve    | String(1024) | M    | 商户预留内容，可传任意内容，如购买商品信息、员号等，但不要传特殊符号，如逗号。 |
| merID         | String(15)   | M    | 商户 ID，由AllPay 分配                                       |
| acqID         | String(11)   | M    | 收单行 ID "99020344"                                         |
| paymentSchema | String(10)   | M    | 渠道代码：[点击这里](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md) |
| transTime     | String(14)   | M    | 交易时间,格式:"yyyyMMddHHmmss"                               |
| signType      | String(3)    | M    | MD5                                                          |
| signature     | String(32)   | M    | 采用 MD5 签名                                                |

3.响应报文格式

| 参数      | 类型       | 属性 | 描述                                           |
| --------- | ---------- | ---- | ---------------------------------------------- |
| version   | String(12) | M    | 统一填写为“VER000000002”                       |
| charSet   | String(6)  | M    | 统一填写为“UTF-8”                              |
| transType | String(4)  | M    | 退款填写“REFD”                                 |
| refundNum | String(60) | M    | 退款订单号                                     |
| transID   | String(32) | M    | GW 系统生成的交易 ID，每笔交易保持唯一         |
| merID     | String(15) | M    | 商户 ID，由AllPay 分配                         |
| acqID     | String(11) | M    | 收单行 ID "99020344"                           |
| RespCode  | String(2)  | M    | 应答码 00-成功                                 |
| RespMsg   | String(20) | M    | 应答消息，全部为英文字符                       |
| transTime | String(14) | M    | 交易时间,格式:"yyyyMMddHHmmss"                 |
| GWTime    | String(14) | M    | YYYYMMDDHHMMSS，为 GW 时间，目前为本地交易时间 |
| signType  | String(3)  | M    | MD5                                            |
| signature | String(32) | M    | signature                                      |



##### 4.5.  退款查询接口

1.接口说明

 该接口为接入商家提供退款查询的功能。

2.请求报文格式 

  

| 参数          | 类型         | 属性 | 描述                                                         |
| ------------- | ------------ | ---- | ------------------------------------------------------------ |
| version       | String(12)   | M    | 统一填写为“VER000000002”                                     |
| charSet       | String(6)    | M    | 统一填写为“UTF-8”                                            |
| transType     | String(4)    | M    | 查询填写“RFQY”                                               |
| refundNum     | String(60)   | M    | 退款订单号                                                   |
| merReserve    | String(1024) | M    | 商户预留内容，可传任意内容，如购买商品信息、员号等，但不要传特殊符号，如逗号。 |
| merID         | String(15)   | M    | 商户 ID，由AllPay 分配                                       |
| acqID         | String(11)   | M    | 收单行 ID "99020344"                                         |
| paymentSchema | String(10)   | M    | 渠道代码：[点击这里](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md) |
| transTime     | String(14)   | M    | 交易时间,格式:"yyyyMMddHHmmss"                               |
| signType      | String(3)    | M    | MD5                                                          |
| signature     | String(32)   | M    | 采用 MD5 签名                                                |



3.响应报文格式

| 参数          | 类型       | 属性 | 描述                                                         |
| ------------- | ---------- | ---- | ------------------------------------------------------------ |
| version       | String(12) | M    | 统一填写为“VER000000002”                                     |
| charSet       | String(6)  | M    | 统一填写为“UTF-8”                                            |
| transType     | String(4)  | M    | 查询填写“REFD”                                               |
| refundNum     | String(60) | M    | 退款订单号                                                   |
| transID       | String(32) | M    | GW 系统生成的交易 ID，每笔交易保持唯一                       |
| merID         | String(15) | M    | 商户 ID，由AllPay 分配                                       |
| acqID         | String(11) | M    | 收单行 ID "99020344"                                         |
| paymentSchema | String(10) | M    | 渠道代码：[点击这里](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md) |
| RespCode      | String(2)  | M    | 应答码 00-成功                                               |
| RespMsg       | String(20) | M    | 应答消息，全部为英文字符                                     |
| transTime     | String(14) | M    | 交易时间,格式:"yyyyMMddHHmmss"                               |
| GWTime        | String(14) | M    | YYYYMMDDHHMMSS，为 GW 时间，目前为本地交易时间               |
| signType      | String(3)  | M    | MD5                                                          |
| signature     | String(32) | M    | signature                                                    |





# 5.渠道专属配置

## 5.1 EB渠道(跳转）

| 序号 | 名称 | 长度 | 类型 | 参数名称       | 备注                                                       |
| ---- | ---- | ---- | ---- | -------------- | ---------------------------------------------------------- |
| 1    | 姓名 | 32   | 文本 | trxn_firstname | This is name of the customer who is doing the transaction. |
| 2    | 邮箱 | 40   | 文本 | trxn_email_id  | this is email id of the customer who is doing transaction. |
| 3    | 电话 | 20   | 文本 | trxn_phone     | Phone number of the customer.                              |

## 5.2 UP渠道(跳转）

| 序号 | 名称     | 长度 | 类型 | 参数名称    | 备注                                                         |
| ---- | -------- | ---- | ---- | ----------- | ------------------------------------------------------------ |
| 1    | 银联卡号 | 19   | 文本 | uCardNumber | 境外银联通道，适用于银联优计划。可以不上送，若需要提前填入银行卡号，则上送此字段。 |

```javascript
测试卡：

Credit Card: 5200831111111113
Mobile: 13552535506
CVN2: 123
Exp Date: month 11 year 19
SMS Code on PC: 111111
SMS Code on Mobile: 123456

Credit Card: 6226388000000095
Mobile: 18100000000
CVN2: 248
Exp Date: month 12 year 19
SMS Code on PC: 111111
SMS Code on Mobile: 123456
```

## 5.3 WX渠道(含跳转和参数返回）

| 序号 | 名称         | 长度 | 类型 | 参数名称 | 备注                                                         |
| ---- | ------------ | ---- | ---- | -------- | ------------------------------------------------------------ |
| 1    | 交易场景代码 | 16   | 文本 | code     | 1.“NATIVE“：为参数返回方式，返回微信收款URL值, 要求商户将其转换为 QR 码，自己生成支付前端界 面，提示用户扫码付款; 2.“QUICK”：为跳转方式，打开 AllPay 提供的前端页面，页面包含微信 QR 码 |

## 5.4 PPRO相关渠道(跳转）

## 5.4.1 PPRO_AC

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |

Note: AstroPay Card is available for currency USD and country codes BO, BR, CL, CN, CO, CR, MX, PE, UY, VE. 
​     

## 5.4.2 PPRO_AD

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |

Note: AstroPay Direct is available for currency USD and country codes AR, BR, CL, CN, CO, MX, PE, UY, CN 

## 5.4.3 PPRO_AR

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |
| nationalid        | M    | 文本 | Consumer’s national id (up to 30 characters)                 |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| address           | M    | 文本 | Consumer's address                                           |
| zipcode           | M    | 文本 | Consumer's zip/postal code                                   |
| dob               | O    | 文本 | Date of birth, format YYYYMMDD                               |



Note: Aura (Brazil) is available for currency USD and country code BR. 

## 5.4.4 PPRO_BA

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |
| nationalid        | M    | 文本 | Consumer’s national id (up to 30 characters)                 |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| address           | M    | 文本 | Consumer's address                                           |
| zipcode           | M    | 文本 | Consumer's zip/postal code                                   |
| dob               | O    | 文本 | Date of birth, format YYYYMMDD                               |

Note: Baloto Cash (Colombia) is available for currency USD and country code CO. 

## 5.4.5 PPRO_BB

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |
| nationalid        | M    | 文本 | Consumer’s national id (up to 30 characters)                 |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| address           | M    | 文本 | Consumer's address                                           |
| zipcode           | M    | 文本 | Consumer's zip/postal code                                   |
| dob               | O    | 文本 | Date of birth, format YYYYMMDD                               |

Note: Banco do Brasil (Brazil) is available for currency USD and country code BR. 

## 5.4.6 PPRO_BO

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |
| nationalid        | M    | 文本 | Consumer’s national id (up to 30 characters)                 |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| address           | M    | 文本 | Consumer's address                                           |
| zipcode           | M    | 文本 | Consumer's zip/postal code                                   |
| dob               | O    | 文本 | Date of birth, format YYYYMMDD                               |

Note: Boleto Bancario is available for currency USD and country code BR. 

## 5.4.7 PPRO_DR

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| phone             | M    | 文本 | Valid international phone number of the account holder       |

Note: Dragonpay is only available for currency PHP and country code PH. 



## 5.4.8 PPRO_EN

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| phone             | M    | 文本 | Valid international phone number of the account holder       |

Note: eNETS is only available for currency SGD and country code SG. 

## 5.4.9 PPRO_EP

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |

Note: eps only works for the countrycode “AT” and currency “EUR”. 

## 5.4.10 PPRO_GP

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| bic               | O    | 文本 | Valid BIC (8 or 11 alphanumeric letters) of consumer’s bank  |

the countrycode “DE” and currency “EUR”. 

## 5.4.11 PPRO_HC

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |
| nationalid        | M    | 文本 | Consumer’s national id (up to 30 characters)                 |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| address           | M    | 文本 | Consumer's address                                           |
| zipcode           | M    | 文本 | Consumer's zip/postal code                                   |
| dob               | O    | 文本 | Date of birth, format YYYYMMDD                               |

Note: Hipercard (Brazil) is available for currency USD and country code BR. 

## 5.4.12 PPRO_ID

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |

Note: iDEAL only works for the countrycode “NL” and currency “EUR”. 

Here is the list of currently available issuers and their associated BIC：

![image]()

## 5.4.13 PPRO_IT

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |
| nationalid        | M    | 文本 | Consumer’s national id (up to 30 characters)                 |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| address           | M    | 文本 | Consumer's address                                           |
| zipcode           | M    | 文本 | Consumer's zip/postal code                                   |
| dob               | O    | 文本 | Date of birth, format YYYYMMDD                               |

Note: Itaú (Brazil) is available for currency USD and country code BR.

## 5.4.14 PPRO_MB



| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |

Note: MyBank only works for the country code IT and currency EUR. 

## 5.4.15 PPRO_PC



| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |



## 5.4.16 PPRO_PU



| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| email             | M    | 文本 | RFC compliant email address of the account holder            |

Note: PayU works only for country code/currency combinations CZ/CZK and PL/PLN. 

## 5.4.17 PPRO_PL

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |

Note: POLi only works for the countrycode/currency combinations “NZ”/”NZD” and “AU/AUD”. 

## 5.4.18 PPRO_P24

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| email             | M    | 文本 | RFC compliant email address of the account holder            |

Note: Przelewy24 only works for the countrycode “PL” and currencies “PLN” and “EUR”. 

## 5.4.19 PPRO_QW

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| mobilephone       | M    | 文本 | Valid international Russian mobile phone number identifying the QIWI destination account to pay out to (excluding plus sign or any other international prefixes, including a leading 7 for Russia, 11 digits in total, e.g. 71234567890). |
| siteid            | M/O  | 文本 | Unique site identifier, forwarded to qiwi. Required for clients serving multiple points of sale. |

Note:	QIWI Payout only works for the countrycodes “RU”, “KZ” and UA, and - depending on your contract - currency  “RUB” , “EUR” ,”KZT” and “USD”.  

## 5.4.20 PPRO_SP

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| email             | M    | 文本 | RFC compliant email address of the account holder            |

Note:SafetyPay only works for country codes “AT”, “BE”, “BR”, “CL”, “CR”, “DE”, “EC”, “ES”, “MX”, “NL”, “PE” and currencies “EUR”, “USD”.

## 5.4.21 PPRO_SD

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |

Note: SEPA Direct Debit works for all SEPA countries and currency EUR. 

## 5.4.22 PPRO_SG

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| phone             | M    | 文本 | Valid international phone number of the account holder       |

Note: SingPost (Singapore) is only available for currency SGD and country code SG. 

## 5.4.23 PPRO_SK

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| email             | O    | 文本 | RFC compliant email address of the account holder            |
| address           | O    | 文本 | Consumer’s address (e.g. street)                             |
| zipcode           | O    | 文本 | Consumer’s postal code                                       |
| city              | O    | 文本 | Consumer’s city                                              |

```xml
The account holder name passed in the request has to be in the format <firstname><space><lastname>, with
lastname having a minimum length of two characters and the total string a minimum length of five. Multiple
first names are ok, valid examples are “John Dorian”, “William Charles Dickinson”. If these conditions are not
met, the system will not accept the request 

```

## 5.4.24 PPRO_SB

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| bic               | O    | 文本 | Valid BIC (8 or 11 alphanumeric letters) of consumer’s bank  |

OFORT Banking (also known as SOFORT überweisung, formally DirectPay24) is available in Austria, Belgium,
Germany, Spain, Italy and Netherlands (country codes AT, BE, DE, ES, IT, NL). EUR is supported in all countries.

## 5.4.25 PPRO_TP

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |

Note: TrustPat   is only available for currency EUR and country code CZ, SK 

## 5.4.26 PPRO_WP

| Field name        | M/O  | Type | Description                                                  |
| ----------------- | ---- | ---- | ------------------------------------------------------------ |
| countrycode       | M    | 文本 | The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. |
| accountholdername | M    | 文本 | The account holder - minimum of 3 characters, up to 100 charac- ters. |
| consumerref       | M    | 文本 | Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} |
| nationalid        | M    | 文本 | Consumer’s national id (up to 30 characters)                 |
| email             | M    | 文本 | RFC compliant email address of the account holder            |
| address           | M    | 文本 | Consumer's address                                           |
| zipcode           | M    | 文本 | Consumer's zip/postal code                                   |
| dob               | O    | 文本 | Date of birth, format YYYYMMDD                               |

Note: WebPay is available for currency USD and country code CL. 



## 5.5 AP渠道

| Parameter | Type         | Required | Description | Sample |
| ---- | ------------ | ---- | ---- | -------- |
| timeout    | String(10) | O   | The default is 12h. Please contact Alipay Technical Support if you need to use other values. Max value is 15d. This parameter controls the valid time from login to completion. | 5m 10m 15m 30m 1h 2h 3h 5h 10h 12h 1d     |



## 5.6 MIPAY渠道(跳转）

| 序号 | 名称   | 长度 | 类型 | 参数名称   | 备注                                                         |
| ---- | ------ | ---- | ---- | ---------- | ------------------------------------------------------------ |
| 1    | 姓名   | 32   | 文本 | firstname  | This is name of the customer who is doing the transaction.   |
| 2    | 邮箱   | 40   | 文本 | email      | this is email id of the customer who is doing transaction.   |
| 3    | 电话   | 20   | 文本 | phone      | Phone number of the customer.                                |
| 4    | 客户ID | 30   | 文本 | customerId | Customer ID, when client register on merchant, merchant distribute it to client. |

```javascript
测试环境配置：

修改测试机器hosts,添加如下两条信息
114.80.87.249 account.preview.n.xiaomi.net
114.80.87.249 api.account.preview.n.xiaomi.net

测试卡：

卡号：5123456789012346
有效期：0520
cvv：123
```

## 5.7 IPL渠道(跳转）

| Parameter    | Type       | Required | Description                                                  | Sample |
| ------------ | ---------- | -------- | ------------------------------------------------------------ | ------ |
| language     | string(2)  | O        | 显示语言Chinese:zh,English:en,Korean:ko                      | zh     |
| terminalType | string(16) | M        | 终端类型:web/h5/android/ios                                  | h5     |
| transTimeout | string(6)  | M        | 订单有效时长，整数格式，单位分钟(min)                        | 10     |
| country      | string(2)  | O        | 国家二字代码，需要大写。页面将展示这个国家的支付方式。如果不传，根据系统判定的国家展示支付方式 | CN     |

```javascript
测试卡：

Visa：
cardNo: 4000020951595032
expirationMonth: 06
expirationYear: 28
cvv: 688
firstName: Ken 
lastName: Swift

Mastercard:
cardNo: 5333300989521936
expirationMonth: 06 
expirationYear: 28
cvv: 688
firstName: Ken 
lastName: Swift

JCB:
cardNo: 3567860000000000
expirationMonth: 06 
expirationYear: 28
cvv: 688
firstName: Ken 
lastName: Swift

American Express:
cardNo: 375532604034750 
expirationMonth: 06 
expirationYear: 28
cvv: 688
firstName: Ken 
lastName: Swift

Diners Club:
cardNo: 36259600590707 
expirationMonth: 06 
expirationYear: 28
cvv: 688
firstName: Ken 
lastName: Swift

Discover:
cardNo: 6011492100005191 
expirationMonth: 06 
expirationYear: 28
cvv: 688
firstName: Ken 
lastName: Swift
```

## 5.8 RP渠道(跳转）

| Parameter | Type   | Required | Description                                                | Sample         |
| --------- | ------ | -------- | ---------------------------------------------------------- | -------------- |
| firstname | string | M        | This is name of the customer who is doing the transaction. | jim            |
| email     | string | M        | this is email id of the customer who is doing transaction. | 123456@163.com |

```javascript
测试卡：

Domestic

Mastercard：   
5104_0155_5555_5558
5104_0600_0000_0008

Visa:
4111_1111_1111_1111

International

Mastercard:
5555_5555_5555_4444
5105_1051_0510_5100

Visa:
012_8888_8888_1881
4000_1841_8621_8826
```

#### 6.技术支持

如果您在调试时遇到问题，请与我们联系：support@allpayx.com。 







  


